Name: eye
Version:1.4.1
Release: %mkrel 11
Summary: Small image feature detector using machine learning

Group: Sciences/Astronomy
License: CeCILL
URL: https://www.astromatic.net/software/eye
Source0: https://www.astromatic.net/download/%{name}/%{name}-%{version}.tar.gz

%description
In EyE (Enhance Your Extraction) an artificial neural network
connected to pixels of a moving window (retina) is trained to
associate these input stimuli to the corresponding response in one or
several output image(s). The resulting filter can be loaded in
SExtractor to operate complex, wildly non-linear filters on
astronomical images. Typical applications of EyE include adaptive
filtering, feature detection and cosmetic corrections.

%prep
%setup -q

%build
%configure
%make_build CFLAGS="%{optflags} -fcommon  -Wno-error=format-security"

%install
%make_install

%files
%{_bindir}/eye
%{_mandir}/man?/eye.*



%changelog
* Tue Mar 15 2022 umeabot <umeabot> 1.4.1-11.mga9
+ Revision: 1792866
- Mageia 9 Mass Rebuild

* Tue Jun 09 2020 joequant <joequant> 1.4.1-10.mga8
+ Revision: 1591437
- update to gcc10
- revert removal of eye

* Thu Feb 13 2020 umeabot <umeabot> 1.4.1-9.mga8
+ Revision: 1512130
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.4.1-8.mga7
+ Revision: 1297651
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 wally <wally> 1.4.1-7.mga7
+ Revision: 1235006
- fix build on aarch64
- use new make macros

* Fri Feb 05 2016 umeabot <umeabot> 1.4.1-6.mga6
+ Revision: 937631
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.4.1-5.mga6
+ Revision: 937178
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4.1-4.mga5
+ Revision: 743106
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.1-3.mga5
+ Revision: 679072
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.1-2.mga4
+ Revision: 530635
- Mageia 4 Mass Rebuild

* Sun Jul 14 2013 joequant <joequant> 1.4.1-1.mga4
+ Revision: 453985
- imported package eye

